Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 17155

Description

When filling many forms it is useful for the last used values to be stored for potential reuse on digitisation of the next feature.

History

#1 - 2013-07-29 11:04 PM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Rejected

The option is present

#2 - 2013-07-29 11:08 PM - Nathan Woodrow

- OS version deleted (7, 64 bit)

- Operating System deleted (Windows)

- Target version changed from Version 2.0.0 to Future Release - High Priority

- Category set to GUI

Yes it is however it's not very user friendly.

A better option might be to add the option to set which fields are saved between form sessions for each layer. We can then show a little Save icon next to

each field in the form and remember that value for the user for next time.  I have working Python code for this so it wouldn't be very hard to port.

Please reopen.

#3 - 2013-07-30 02:12 AM - Giovanni Manghi

- Resolution deleted (invalid)

- Status changed from Rejected to Open

- Subject changed from QGIS 1.9 remember last used choices for forms on adding feature to Better way to remember last used choices for forms on 

adding feature

#4 - 2013-07-30 02:16 AM - Matthias Kuhn

@NathanW: Let's see if we can integrate this with the new widgets API.

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
